> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment History

> Get paginated payment history for an agent.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agents/{agent_id}/wallet/payments
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/agents/{agent_id}/wallet/payments:
    get:
      tags:
        - v1
        - protected
        - wallet
      summary: Get Payment History
      description: Get paginated payment history for an agent.
      operationId: get_payment_history_v1_agents__agent_id__wallet_payments_get
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            format: uuid
            title: Agent Id
            type: string
        - description: Filter by protocol (x402, mpp)
          in: query
          name: protocol
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by protocol (x402, mpp)
            title: Protocol
        - description: Filter by status
          in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by status
            title: Status
        - description: Filter from date
          in: query
          name: from_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            description: Filter from date
            title: From Date
        - description: Filter to date
          in: query
          name: to_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            description: Filter to date
            title: To Date
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPaymentsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedPaymentsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PaymentRecordResponse'
          title: Items
          type: array
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - page
        - page_size
      title: PaginatedPaymentsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PaymentRecordResponse:
      properties:
        agent_id:
          title: Agent Id
          type: string
        amount_usd:
          title: Amount Usd
          type: number
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        execution_id:
          title: Execution Id
          type: string
        id:
          title: Id
          type: string
        protocol:
          title: Protocol
          type: string
        protocol_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Protocol Metadata
        recipient:
          title: Recipient
          type: string
        status:
          title: Status
          type: string
        tool_call_id:
          title: Tool Call Id
          type: string
        tool_name:
          title: Tool Name
          type: string
        tx_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Tx Hash
      required:
        - id
        - agent_id
        - execution_id
        - protocol
        - amount_usd
        - recipient
        - tool_name
        - tool_call_id
        - status
      title: PaymentRecordResponse
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````